fastsum_plan_ Struct Reference
Applications » Fast summation

plan for fast summation algorithm More...

`#include <fastsum.h>`

## Public Member Functions

| NFFT (plan) mv1
| source nfft plan
| NFFT (plan) mv2
| target nfft plan
| FFTW (plan) fft_plan

## Data Fields

int | d
| api More...
int | N_total
| number of source knots
int | M_total
| number of target knots
C * | alpha
| source coefficients
C * | f
| target evaluations
R * | x
| source knots in d-ball with radius 1/4-eps_b/2
R * | y
| target knots in d-ball with radius 1/4-eps_b/2
kernel | k
| kernel function
R * | kernel_param
| parameters for kernel function
unsigned | flags
| flags precomp. More...
C * | pre_K
| internal More...
int | n
| FS__ - fast summation. More...
C * | b
| expansion coefficients
C * | f_hat
| Fourier coefficients of nfft plans.
int | p
| degree of smoothness of regularization
R | eps_I
| inner boundary
R | eps_B
| outer boundary
int | Ad
| near field More...
C * | Add
| spline values
int | box_count
int | box_count_per_dim
int * | box_offset
R * | box_x
C * | box_alpha
int * | permutation_x_alpha
| permutation vector of source nodes if STORE_PERMUTATION_X_ALPHA is set
R | MEASURE_TIME_t [8]
| Measured time for each step if MEASURE_TIME is set.

## Detailed Description

plan for fast summation algorithm

Definition at line 82 of file fastsum.h.

## Field Documentation

int fastsum_plan_::d

api

number of dimensions

Definition at line 86 of file fastsum.h.

Referenced by BuildBox(), fastsum_exact(), fastsum_init_guru_kernel(), fastsum_init_guru_source_nodes(), fastsum_init_guru_target_nodes(), fastsum_precompute_source_nodes(), fastsum_trafo(), SearchBox(), and SearchTree().

unsigned fastsum_plan_::flags

flags precomp.

and approx.type

Definition at line 100 of file fastsum.h.

Referenced by fastsum_finalize_kernel(), fastsum_finalize_source_nodes(), fastsum_init_guru_kernel(), fastsum_init_guru_source_nodes(), fastsum_precompute_source_nodes(), fastsum_precompute_target_nodes(), fastsum_trafo(), SearchBox(), and SearchTree().

C* fastsum_plan_::pre_K

internal

DS_PRE - direct summation precomputed K(x_j-y_l)

Definition at line 105 of file fastsum.h.

int fastsum_plan_::n

FS__ - fast summation.

expansion degree

Definition at line 108 of file fastsum.h.

Referenced by fastsum_init_guru_kernel(), fastsum_init_guru_source_nodes(), fastsum_init_guru_target_nodes(), and SearchTree().

int fastsum_plan_::Ad

near field

number of spline knots for nearfield computation of regularized kernel

Definition at line 120 of file fastsum.h.

Referenced by fastsum_init_guru_kernel(), fastsum_trafo(), SearchBox(), and SearchTree().

The documentation for this struct was generated from the following file:

- fastsum.h